import { AfterViewInit, ElementRef, EventEmitter, Injector, NgZone, OnDestroy, Type } from '@angular/core';
import type { EditorOptions, Extensions } from '@tiptap/core';
import { Editor } from '@tiptap/core';
import type { ParseOptions } from 'prosemirror-model';
import { ExtensionBuilder } from '../../extensions/base-extension.model';
import { TipBaseExtension } from '../../extensions/tip-base-extension';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { TiptapExtensionService } from '../../services/tiptap-extension.service';
export declare class EditorComponent implements AfterViewInit, OnDestroy {
    private ngZone;
    private injector;
    private tiptapExtensionService;
    private platformId;
    private globalExtensions;
    private globalAngularExtensions;
    jsonChange: EventEmitter<Record<string, any>>;
    htmlChange: EventEmitter<string>;
    created: EventEmitter<Editor>;
    beforeCreate: EventEmitter<{
        editor: Editor;
    }>;
    create: EventEmitter<{
        editor: Editor;
    }>;
    update: EventEmitter<{
        editor: Editor;
    }>;
    selectionUpdate: EventEmitter<{
        editor: Editor;
    }>;
    transaction: EventEmitter<{
        editor: Editor;
        transaction: import("prosemirror-state").Transaction<any>;
    }>;
    focus: EventEmitter<{
        editor: Editor;
        event: FocusEvent;
    }>;
    blur: EventEmitter<{
        editor: Editor;
        event: FocusEvent;
    }>;
    destroy: EventEmitter<{}>;
    content: object | string | null;
    injectCSS: boolean;
    autofocus: boolean;
    editable: boolean;
    editorProps: EditorOptions['editorProps'];
    parseOptions: ParseOptions;
    enableInputRules: boolean;
    enablePasteRules: boolean;
    extensions: Extensions;
    angularExtensions: ExtensionBuilder<any, Type<TipBaseExtension<any>>>[];
    runEventsOutsideAngular: boolean;
    private editorComponent;
    private headerComponent;
    private tiptap;
    private destroy$;
    private builtExtensions;
    constructor(ngZone: NgZone, injector: Injector, tiptapExtensionService: TiptapExtensionService, platformId: any, globalExtensions: Extensions | null, globalAngularExtensions: ExtensionBuilder<any, any>[] | null, eventService: TiptapEventService, element: ElementRef);
    get editor(): Editor | null;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    private registerEvents;
    private buildEditorOptions;
    private mergeNativeAndAngularExtensions;
    private pipeTo;
    private setEditorInAngularExtension;
}
